Package com.xebialabs.deployit.plugin.api.udm

## Class CandidateValueFiltersForProvisioning

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.CandidateValueFiltersForProvisioning

-     public class CandidateValueFiltersForProvisioning
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CandidateValueFiltersForProvisioning()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SearchParameters` | `filterByProvisioningPackage​(ConfigurationItem context, PropertyDescriptor property)` |
    `static SearchParameters` | `filterBySelf​(ConfigurationItem context, PropertyDescriptor property)` |
    `static SearchParameters` | `filterProvisionerByProvisioningPackage​(ConfigurationItem context, PropertyDescriptor property)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CandidateValueFiltersForProvisioning

          public CandidateValueFiltersForProvisioning()

  - ### Method Detail

    - #### filterProvisionerByProvisioningPackage

          @CandidateValuesFilter(name="filterProvisionerByProvisioningPackage")
          public static SearchParameters filterProvisionerByProvisioningPackage​(ConfigurationItem context,
                                                                                PropertyDescriptor property)

    - #### filterByProvisioningPackage

          @CandidateValuesFilter(name="filterByProvisioningPackage")
          public static SearchParameters filterByProvisioningPackage​(ConfigurationItem context,
                                                                     PropertyDescriptor property)

    - #### filterBySelf

          @CandidateValuesFilter(name="filterBySelf")
          public static SearchParameters filterBySelf​(ConfigurationItem context,
                                                      PropertyDescriptor property)